Bug 185073 - [new port] devel/p5-CBOR-XS
Summary: [new port] devel/p5-CBOR-XS
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: William Grzybowski
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-12-21 18:20 UTC by Kurt Jaeger
Modified: 2013-12-23 21:00 UTC (History)
1 user (show)

See Also:


Attachments
file.shar (1.60 KB, text/plain)
2013-12-21 18:20 UTC, Kurt Jaeger
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Kurt Jaeger 2013-12-21 18:20:01 UTC
This module converts Perl data structures to the Concise Binary
Object Representation (CBOR, RFC7049) and vice versa.

shar also available from http://opsec.eu/backup/cbor.shar

Fix: #!/bin/sh
How-To-Repeat: 	-
Comment 1 Edwin Groothuis freebsd_committer 2013-12-21 18:20:17 UTC
Responsible Changed
From-To: freebsd-ports-bugs->wg

wg@ wants this submitter's PRs (via the GNATS Auto Assign Tool)
Comment 2 William Grzybowski 2013-12-22 08:33:51 UTC
Hi,

This port does not fetch:


-- 
William Grzybowski
------------------------------------------
Curitiba/PR - Brasil
Comment 3 William Grzybowski 2013-12-22 08:34:35 UTC
Hi again, sorry I forgot the log:


=> CBOR-XS-1.2.tar.gz doesn't seem to exist in /usr/ports/distfiles/.
=> Attempting to fetch
ftp://ftp.cpan.org/pub/CPAN/modules/by-module/CBOR/CBOR-XS-1.2.tar.gz
fetch: ftp://ftp.cpan.org/pub/CPAN/modules/by-module/CBOR/CBOR-XS-1.2.tar.gz:
File unavailable (e.g., file not found, no access)
=> Attempting to fetch
http://www.cpan.dk/modules/by-module/CBOR/CBOR-XS-1.2.tar.gz
fetch: http://www.cpan.dk/modules/by-module/CBOR/CBOR-XS-1.2.tar.gz: Not
Found
=> Attempting to fetch
ftp://ftp.kddlabs.co.jp/lang/perl/CPAN/modules/by-module/CBOR/CBOR-XS-1.2.tar.gz
fetch:
ftp://ftp.kddlabs.co.jp/lang/perl/CPAN/modules/by-module/CBOR/CBOR-XS-1.2.tar.gz:
File unavailable (e.g., file not found, no access)
=> Attempting to fetch
http://ftp.jaist.ac.jp/pub/CPAN/modules/by-module/CBOR/CBOR-XS-1.2.tar.gz
fetch:
http://ftp.jaist.ac.jp/pub/CPAN/modules/by-module/CBOR/CBOR-XS-1.2.tar.gz:
Not Found

-- 
William Grzybowski
------------------------------------------
Curitiba/PR - Brasil
Comment 4 Kurt Jaeger 2013-12-22 09:22:54 UTC
Hi!

> This port does not fetch:

I'm aware of that, but the problem seems to be CPAN or the CPAN macro.

Basically the .tgz file should be provided at

ftp://ftp.cpan.org/pub/CPAN/modules/by-module/CBOR/CBOR-XS-1.2.tar.gz

due to some CPAN.org magic, but this is not the case.

It's the same for

ftp://ftp.cpan.org/pub/CPAN/modules/by-module/URBL/URBL-Prepare-0.08.tar.gz

I'll investigate why this is the case.

-- 
pi@opsec.eu            +49 171 3101372                         7 years to go !
Comment 5 Kurt Jaeger 2013-12-22 12:28:11 UTC
Hi!

> > This port does not fetch:
> 
> I'm aware of that, but the problem seems to be CPAN or the CPAN macro.
> 
> Basically the .tgz file should be provided at
> 
> ftp://ftp.cpan.org/pub/CPAN/modules/by-module/CBOR/CBOR-XS-1.2.tar.gz
> 
> due to some CPAN.org magic, but this is not the case.

I found a fix. Adding:

MASTER_SITE_SUBDIR=     CPAN:MLEHMANN

and it fetches successfully.

-- 
pi@opsec.eu            +49 171 3101372                         7 years to go !
Comment 6 William Grzybowski freebsd_committer 2013-12-23 20:57:33 UTC
State Changed
From-To: open->closed

New port added. Thanks!
Comment 7 dfilter service freebsd_committer 2013-12-23 20:57:38 UTC
Author: wg
Date: Mon Dec 23 20:57:30 2013
New Revision: 337294
URL: http://svnweb.freebsd.org/changeset/ports/337294

Log:
  devel/p5-CBOR-XS: Perl does Concise Binary Object Representation (CBOR, RFC7049)
  
  This module converts Perl data structures to the Concise Binary
  Object Representation (CBOR, RFC7049) and vice versa.
  
  WWW: http://search.cpan.org/dist/CBOR-XS/
  
  PR:		ports/185073
  Submitted by:	Kurt Jaeger <fbsd-ports opsec.eu>

Added:
  head/devel/p5-CBOR-XS/
  head/devel/p5-CBOR-XS/Makefile   (contents, props changed)
  head/devel/p5-CBOR-XS/distinfo   (contents, props changed)
  head/devel/p5-CBOR-XS/pkg-descr   (contents, props changed)
  head/devel/p5-CBOR-XS/pkg-plist   (contents, props changed)
Modified:
  head/devel/Makefile

Modified: head/devel/Makefile
==============================================================================
--- head/devel/Makefile	Mon Dec 23 20:43:47 2013	(r337293)
+++ head/devel/Makefile	Mon Dec 23 20:57:30 2013	(r337294)
@@ -1459,6 +1459,7 @@
     SUBDIR += p5-Bread-Board-Declare
     SUBDIR += p5-Bundle-Perl6
     SUBDIR += p5-C-Scan
+    SUBDIR += p5-CBOR-XS
     SUBDIR += p5-CHI
     SUBDIR += p5-CLASS
     SUBDIR += p5-CPAN-Changes

Added: head/devel/p5-CBOR-XS/Makefile
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/devel/p5-CBOR-XS/Makefile	Mon Dec 23 20:57:30 2013	(r337294)
@@ -0,0 +1,19 @@
+# Created by: Kurt Jaeger <fbsd-ports@opsec.eu>
+# $FreeBSD$
+
+PORTNAME=	CBOR-XS
+PORTVERSION=	1.2
+CATEGORIES=	devel perl5
+MASTER_SITES=	CPAN
+MASTER_SITE_SUBDIR=	CPAN:MLEHMANN
+PKGNAMEPREFIX=	p5-
+
+MAINTAINER=	fbsd-ports@opsec.eu
+COMMENT=	Perl does Concise Binary Object Representation (CBOR, RFC7049)
+
+LICENSE=	GPLv3
+
+USES=		perl5
+USE_PERL5=	configure
+
+.include <bsd.port.mk>

Added: head/devel/p5-CBOR-XS/distinfo
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/devel/p5-CBOR-XS/distinfo	Mon Dec 23 20:57:30 2013	(r337294)
@@ -0,0 +1,2 @@
+SHA256 (CBOR-XS-1.2.tar.gz) = ce7dd8245cb791c8c88e88551a8c2536b423829405c303c9b1efd014d00139eb
+SIZE (CBOR-XS-1.2.tar.gz) = 61608

Added: head/devel/p5-CBOR-XS/pkg-descr
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/devel/p5-CBOR-XS/pkg-descr	Mon Dec 23 20:57:30 2013	(r337294)
@@ -0,0 +1,4 @@
+This module converts Perl data structures to the Concise Binary
+Object Representation (CBOR, RFC7049) and vice versa.
+
+WWW: http://search.cpan.org/dist/CBOR-XS/

Added: head/devel/p5-CBOR-XS/pkg-plist
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/devel/p5-CBOR-XS/pkg-plist	Mon Dec 23 20:57:30 2013	(r337294)
@@ -0,0 +1,8 @@
+%%SITE_PERL%%/%%PERL_ARCH%%/CBOR/XS.pm
+%%SITE_PERL%%/%%PERL_ARCH%%/auto/CBOR/XS/.packlist
+%%SITE_PERL%%/%%PERL_ARCH%%/auto/CBOR/XS/XS.bs
+%%SITE_PERL%%/%%PERL_ARCH%%/auto/CBOR/XS/XS.so
+%%PERL5_MAN3%%/CBOR::XS.3.gz
+@dirrmtry %%SITE_PERL%%/%%PERL_ARCH%%/CBOR
+@dirrmtry %%SITE_PERL%%/%%PERL_ARCH%%/auto/CBOR/XS
+@dirrmtry %%SITE_PERL%%/%%PERL_ARCH%%/auto/CBOR
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"